Album: Terezi Still Owns
Style: single
Date: July 21, 2022
Artists:
- autumnalEquinox
URLs:
- https://autumnaleqvinox.bandcamp.com/track/terezi-still-owns
- https://soundcloud.com/andromedamvsic/terezi-still-owns
- https://www.youtube.com/watch?v=KRtVa0nsL7Y
Cover Artwork:
- File Extension: png
  Artists:
  - Homestuck
  Tags:
  - Terezi
  - LoPaN
  Origin Details: >-
    Edit of [page 6415](https://homestuck.com/story/6415) and around [page 7034](https://homestuck.com/story/7039)
Color: '#008b8b'
Groups:
- autumnalEquinox
- Fandom
---
Track: Terezi Still Owns
Duration: 2:58
Commentary: |-
    <i>autumnalEquinox:</i> ([YouTube description](https://www.youtube.com/watch?v=KRtVa0nsL7Y), excerpt)

    Yep, still owns.

    <i>Violet AB, autumnalEquinox|[[artist:autumnal-equinox]]:</i> ([YouTube comments](https://www.youtube.com/watch?v=KRtVa0nsL7Y&lc=UgzOLgaIveTri7iwFi94AaABAg), 7/18/2022)

    > <i>[[artist:violet-ab]]:</i> Woah, this is SO GOOD. For some reason, the beginning makes me feel like this is a video game royal’s battle theme? It just sounds really regal for some reason. Is there a particular instrument you’re using at the beginning, by the way? Whatever it is, it’s PRETTY.

    its a harsichord from a vgm soundpack!

    <i>Latadenata, autumnalEquinox|[[artist:autumnal-equinox]]:</i> ([YouTube comments](https://www.youtube.com/watch?v=KRtVa0nsL7Y&lc=Ugzhm_CfOWS3q_jF_EF4AaABAg), 9/24/2022)

    > <i>[[artist:latadenata|Latadenata]]:</i> this is amazing! i'm glad there's still more homestuck fans making music!

    thanks! it's a very fun hobby :^)
